## org.omg.CORBA.ValueDefPackage
Class FullValueDescriptionHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ValueDefPackage.FullValueDescriptionHelper

public class FullValueDescriptionHelper
extends java.lang.Object

Helper class for : FullValueDescription

Author:
  OpenORB Compiler

Constructor Summary
`FullValueDescriptionHelper()`

Method Summary
`static FullValueDescription` `extract(Any a)` Extract FullValueDescription from an any
`static java.lang.String` `id()` Return the FullValueDescription IDL ID
`static void` `insert(Any a, FullValueDescription t)` Insert FullValueDescription into an any
`static FullValueDescription` `read(InputStream istream)` Read FullValueDescription from a marshalled stream
`static TypeCode` `type()` Return the FullValueDescription TypeCode
`static void` `write(OutputStream ostream, FullValueDescription value)` Write FullValueDescription into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullValueDescriptionHelper

    public FullValueDescriptionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              FullValueDescription t)

  Insert FullValueDescription into an any
  Parameters:
    `a` - an any
    `t` - FullValueDescription value

### extract

    public static FullValueDescription extract(Any a)

  Extract FullValueDescription from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted FullValueDescription value

### type

    public static TypeCode type()

  Return the FullValueDescription TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the FullValueDescription IDL ID
  Returns:
    an ID

### read

    public static FullValueDescription read(InputStream istream)

  Read FullValueDescription from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed FullValueDescription value

### write

    public static void write(OutputStream ostream,
                             FullValueDescription value)

  Write FullValueDescription into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - FullValueDescription value